springdoc:
  swagger-ui:
    path: /swagger-ui.html
  api-docs:
    enabled: @swaggerEnable@
# knife4j的增强配置，不需要增强可以不配
knife4j:
  enable: @swaggerEnable@
  setting:
    language: zh_cn
spring:
  servlet:
    multipart:
      enabled: true
      max-file-size: @MAX_FILE_SIZE@
      max-request-size: @MAX_REQUEST_FILE_SIZE@
  datasource:
    hikari:
      connection-timeout: 6000
      data-source-properties:
        socketTimeout: 60000
    username: @jdbcUser@
    password: @jdbcPassword@
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: @jdbcUrl@
  messages:
    basename: i18n/messages
  profiles:
    active: @profile.active@
  task:
    execution:
      pool:
        allow-core-thread-timeout: true
        core-size: 8
        max-size: 30
        keep-alive: 60s
        queue-capacity: 0
    scheduling:
      pool:
        size: 30
app:
  http:
    default:
      client:
        connectTimeout: 3s
        socketTimeout: 30s
        validateAfterInactivity: 60s
        timeToLive: 10s
        maxConnTotal: 10000
        maxConnPerRoute: 5000
        retryCount: 2
      proxy:
        host: @HTTP_DEFAULT_PROXY_HOST@
        port: @HTTP_DEFAULT_PROXY_PORT@
        enable: @HTTP_DEFAULT_PROXY_ENABLE@
server:
  port: 9981
logging:
  config: classpath:@log4jFile@
mybatis-plus:
  configuration:
    log-impl: @sqlPrintClass@
    map-underscore-to-camel-case: true
  global-config:
    db-config:
      update-strategy: always

